﻿using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Interactivity;

namespace XDGValueToDisplayTextConvCase
{
    public class DataGridEndEditModeBehavior : Behavior<XamDataGrid>
    {
        protected override void OnAttached()
        {
            base.OnAttached();
            AssociatedObject.EditModeEnded += AssociatedObject_EditModeEnded;
        }

        void AssociatedObject_EditModeEnded(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndedEventArgs e)
        {
            if (!e.Cell.Field.Name.Contains("DisplayText"))
            {
                DataRecord dr = e.Cell.Record as DataRecord;

                Cell c = dr.Cells["DisplayTextNumber"];

                CellValuePresenter CVP = CellValuePresenter.FromCell(c);

                XamNumericEditor xne = CVP.Editor as XamNumericEditor;

                int val = (int)xne.Value;

                xne.Value = null;
                xne.Value = val;             
            }
        }
    }
}
