﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGValueToDisplayTextConvCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }


        string[] names = "Andrew;Alex;Jen;Steve;Murphy;Eric;Tom;Chris".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                   ID = i,
                   Name = names[i],
                   DisplayTextNumber = r.Next(1, 4)
                });
            }
        }
    }

    public class SampleData : INotifyPropertyChanged
    {

        private int _id;
        private string _name;
        private int _dtn;

        public int ID
        {
            get { return _id; }
            set
            {
                if (_id != value)
                {
                    _id = value;
                    OnPropertyChanged(null);
                }
            }
        }

        public string Name
        {
            get { return _name; }
            set
            {
                if (_name != value)
                {
                    _name = value;
                    OnPropertyChanged(null);
                }
            }
        }

        public int DisplayTextNumber
        {
            get { return _dtn; }
            set
            {
                if (_dtn != value)
                {
                    _dtn = value;
                    OnPropertyChanged("DisplayTextNumber");
                }
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
